> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Proxy

> Retrieves a specific Proxy based on the provided ID for the current user's account, ensuring
that only proxies associated with the customer services and in use are returned.




## OpenAPI

````yaml get /public/user/proxy/retrieve/{proxy_id}
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/proxy/retrieve/{proxy_id}:
    get:
      tags:
        - Proxy
      summary: Retrieve Proxy
      description: >
        Retrieves a specific Proxy based on the provided ID for the current
        user's account, ensuring

        that only proxies associated with the customer services and in use are
        returned.
      parameters:
        - name: proxy_id
          in: path
          description: ID of the Proxy to retrieve
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Proxy Retrieve
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ProxySuccessfulRetrieveResponse'
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          http_formatted:
                            type: string
                            example: 15.32.0.111:6000:yzrxnxD9:6Gh9Hm1Q
                          socks5_formatted:
                            type: string
                            example: 15.32.0.111:6000:yzrxnxD9:6Gh9Hm1Q
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  schemas:
    ProxySuccessfulRetrieveResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            asn_id:
              type: integer
              example: 7018
            asn_name:
              type: string
              example: AT&T Enterprises, LLC
            city_example_postcode:
              type: string
              example: '75202'
            city_id:
              type: integer
              example: 75202
            city_latitude:
              type: number
              example: 32.7767
            city_longitude:
              type: number
              example: -96.797
            city_name:
              type: string
              example: Dallas
            city_timezone:
              type: string
              example: America/Chicago
            country_id:
              type: string
              example: us
            country_name:
              type: string
              example: United States
            customer_id:
              type: integer
              example: 1955
            default_proxy_user_password:
              type: string
              example: apple1984
            default_proxy_user_username:
              type: string
              example: stevejobs
            ip_address_id_v4:
              type: string
              example: 107.225.73.142
            ip_address_id_v6:
              type: string
              example: 2600:1000:b12a:6351:8523:997e:93c4:f124
            proxy_http_port:
              type: integer
              example: 8080
            proxy_id:
              type: string
              example: 7a018d34-76c2-4c23-b14d-f7b9a7054e25
            proxy_ip_address:
              type: string
              example: 107.225.73.142
            proxy_ip_address_v6:
              type: string
              example: 2600:1000:b12a:6351:8523:997e:93c4:f124
            proxy_last_update_datetime:
              type: string
              format: date-time
            proxy_password:
              type: string
              example: DHf3PSQXQ7rw1v9
            proxy_protocol:
              type: string
              example: ipv4
              enum:
                - ipv4
                - ipv6
                - dual
            proxy_socks5_port:
              type: integer
              example: 1080
            proxy_status:
              type: string
              example: in_use
              enum:
                - available
                - in_use
                - reserved
                - waiting
                - pending_deletion
            proxy_type:
              type: string
              example: isp
              enum:
                - datacenter
                - isp
                - residential
                - mobile
            proxy_user_ids:
              type: array
              items:
                type: string
                example: stevejobs
            proxy_username:
              type: string
              example: att7018user
            service_id:
              type: string
              example: API-1234-5678
            subdivision_id:
              type: string
              example: us-tx
            subdivision_name:
              type: string
              example: Texas
            subnet_id:
              type: string
              example: 107.225.72.0/22
            subnet_id_v6:
              type: string
              example: 2600:1000::/28
          description: Retrieved Proxy item details.
        message:
          type: string
          description: Status message for the retrieval.
      description: Proxy retrieve was successful.
      example:
        data:
          asn_id: 7018
          asn_name: AT&T Enterprises, LLC
          city_example_postcode: '75202'
          city_id: 75202
          city_latitude: 32.7767
          city_longitude: -96.797
          city_name: Dallas
          city_timezone: America/Chicago
          country_id: us
          country_name: United States
          customer_id: 1955
          default_proxy_user_password: apple1984
          default_proxy_user_username: stevejobs
          ip_address_id_v4: 107.225.73.142
          ip_address_id_v6: 2600:1000:b12a:6351:8523:997e:93c4:f124
          proxy_http_port: 8080
          proxy_id: 7a018d34-76c2-4c23-b14d-f7b9a7054e25
          proxy_ip_address: 107.225.73.142
          proxy_ip_address_v6: 2600:1000:b12a:6351:8523:997e:93c4:f124
          proxy_last_update_datetime: '2024-03-12 09:30:00'
          proxy_password: DHf3PSQXQ7rw1v9
          proxy_protocol: ipv4
          proxy_socks5_port: 1080
          proxy_status: in_use
          proxy_type: isp
          proxy_user_ids:
            - stevejobs
          proxy_username: att7018user
          service_id: API-1234-5678
          subdivision_id: us-tx
          subdivision_name: Texas
          subnet_id: 107.225.72.0/22
          subnet_id_v6: 2600:1000::/28
        message: Proxy successfully retrieved.
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````